
QGIS Application - Bug report #16487

Processing broken on QGIS 2.18.2 for macOS from KyngChaos

2017-04-29 04:26 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.18.2 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24395

Description

Not an issues with QGIS 2.14.10 from same source.

On QGIS start:

TypeError: coercing to Unicode: need string or buffer, NoneType found 

Traceback (most recent call last):

  File "/Applications/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 333, in startPlugin

    plugins[packageName] = package.classFactory(iface)

  File "/Applications/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/__init__.py", line 38, in classFactory

    return ProcessingPlugin(iface)

  File "/Applications/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/ProcessingPlugin.py", line 58, in __init__

    Processing.initialize()

  File "/Applications/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/core/Processing.py", line 148, in initialize

    Processing.addProvider(c())

  File "/Applications/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/core/Processing.py", line 103, in

addProvider

    % (provider.getDescription(), traceback.format_exc()))

  File "/Applications/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/algs/saga/SagaAlgorithmProvider.py",

line 123, in getDescription

    version = SagaUtils.getSagaInstalledVersion()

  File "/Applications/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/algs/saga/SagaUtils.py", line 130, in

getSagaInstalledVersion

    commands = [os.path.join(sagaPath(), "saga_cmd -v")]

  File "/Applications/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/algs/saga/SagaUtils.py", line 75, in

sagaPath

    if not os.path.isdir(folder):

  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/genericpath.py", line 49, in isdir

    st = os.stat(s)

TypeError: coercing to Unicode: need string or buffer, NoneType found

History

#1 - 2017-04-29 04:40 AM - Giovanni Manghi

see also: #16332

#2 - 2017-04-29 10:11 PM - Jürgen Fischer
- Description updated

#3 - 2017-04-30 05:08 PM - Giovanni Manghi

- Regression? set to Yes

#4 - 2017-04-30 05:09 PM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#5 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2017-05-05 06:19 PM - Larry Shaffer

This should be fixed with this commit:4923e46a6d1cfceb93069c41b723af98d42db8a2

I believe, Kyngchaos installer just needs updated to newere 2.18 tagged code release.

#7 - 2017-05-12 07:30 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed/implemented

All fine installing from brew on 10.12.4

https://github.com/OSGeo/homebrew-osgeo4mac

packages must be updated.
